<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>Deform (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deform (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/factory/Apply.html" title="class in com.sk89q.worldedit.function.factory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/factory/Deform.html" target="_top">Frames</a></li>
<li><a href="Deform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.factory</div>
<h2 title="Class Deform" class="title">Class Deform</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.factory.Deform</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/Contextual.html" title="interface in com.sk89q.worldedit.function">Contextual</a>&lt;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Deform</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/function/Contextual.html" title="interface in com.sk89q.worldedit.function">Contextual</a>&lt;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#Deform-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-java.lang.String-">Deform</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
      <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
      java.lang.String&nbsp;expression)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#Deform-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-java.lang.String-com.sk89q.worldedit.function.factory.Deform.Mode-">Deform</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
      <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
      java.lang.String&nbsp;expression,
      <a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#Deform-java.lang.String-">Deform</a></span>(java.lang.String&nbsp;expression)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#Deform-java.lang.String-com.sk89q.worldedit.function.factory.Deform.Mode-">Deform</a></span>(java.lang.String&nbsp;expression,
      <a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#createFromContext-com.sk89q.worldedit.function.EditContext-">createFromContext</a></span>(<a href="../../../../../com/sk89q/worldedit/function/EditContext.html" title="class in com.sk89q.worldedit.function">EditContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#getDestination--">getDestination</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#getExpression--">getExpression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#getMode--">getMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#getOffset--">getOffset</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#getRegion--">getRegion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#setDestination-com.sk89q.worldedit.extent.Extent-">setDestination</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#setExpression-java.lang.String-">setExpression</a></span>(java.lang.String&nbsp;expression)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#setMode-com.sk89q.worldedit.function.factory.Deform.Mode-">setMode</a></span>(<a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#setOffset-com.sk89q.worldedit.math.Vector3-">setOffset</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;offset)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#setRegion-com.sk89q.worldedit.regions.Region-">setRegion</a></span>(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Deform-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Deform</h4>
<pre>public&nbsp;Deform(java.lang.String&nbsp;expression)</pre>
</li>
</ul>
<a name="Deform-java.lang.String-com.sk89q.worldedit.function.factory.Deform.Mode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Deform</h4>
<pre>public&nbsp;Deform(java.lang.String&nbsp;expression,
              <a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</pre>
</li>
</ul>
<a name="Deform-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Deform</h4>
<pre>public&nbsp;Deform(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
              <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
              java.lang.String&nbsp;expression)</pre>
</li>
</ul>
<a name="Deform-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.regions.Region-java.lang.String-com.sk89q.worldedit.function.factory.Deform.Mode-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Deform</h4>
<pre>public&nbsp;Deform(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination,
              <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
              java.lang.String&nbsp;expression,
              <a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDestination--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestination</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;getDestination()</pre>
</li>
</ul>
<a name="setDestination-com.sk89q.worldedit.extent.Extent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestination</h4>
<pre>public&nbsp;void&nbsp;setDestination(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;destination)</pre>
</li>
</ul>
<a name="getRegion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegion</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;getRegion()</pre>
</li>
</ul>
<a name="setRegion-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegion</h4>
<pre>public&nbsp;void&nbsp;setRegion(<a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
</li>
</ul>
<a name="getExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpression</h4>
<pre>public&nbsp;java.lang.String&nbsp;getExpression()</pre>
</li>
</ul>
<a name="setExpression-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExpression</h4>
<pre>public&nbsp;void&nbsp;setExpression(java.lang.String&nbsp;expression)</pre>
</li>
</ul>
<a name="getMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMode</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;getMode()</pre>
</li>
</ul>
<a name="setMode-com.sk89q.worldedit.function.factory.Deform.Mode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMode</h4>
<pre>public&nbsp;void&nbsp;setMode(<a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory">Deform.Mode</a>&nbsp;mode)</pre>
</li>
</ul>
<a name="getOffset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOffset</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getOffset()</pre>
</li>
</ul>
<a name="setOffset-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOffset</h4>
<pre>public&nbsp;void&nbsp;setOffset(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;offset)</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="createFromContext-com.sk89q.worldedit.function.EditContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createFromContext</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;createFromContext(<a href="../../../../../com/sk89q/worldedit/function/EditContext.html" title="class in com.sk89q.worldedit.function">EditContext</a>&nbsp;context)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/Contextual.html#createFromContext-com.sk89q.worldedit.function.EditContext-">createFromContext</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/Contextual.html" title="interface in com.sk89q.worldedit.function">Contextual</a>&lt;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/factory/Apply.html" title="class in com.sk89q.worldedit.function.factory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/factory/Deform.Mode.html" title="enum in com.sk89q.worldedit.function.factory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/factory/Deform.html" target="_top">Frames</a></li>
<li><a href="Deform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
